commit:     15d6361bccbb21e5544e9cb55b9578892693bebd
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 26 12:23:06 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Jan 26 12:57:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15d6361b

sci-libs/geos: 3.6.1 version bump

Package-Manager: portage-2.3.3

 sci-libs/geos/Manifest          |  1 +
 sci-libs/geos/geos-3.6.1.ebuild | 59 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/sci-libs/geos/Manifest b/sci-libs/geos/Manifest
index 6996dd7..89ee962 100644
--- a/sci-libs/geos/Manifest
+++ b/sci-libs/geos/Manifest
@@ -1 +1,2 @@
 DIST geos-3.5.0.tar.bz2 1949397 SHA256 
49982b23bcfa64a53333dab136b82e25354edeb806e5a2e2f5b8aa98b1d0ae02 SHA512 
cd9c008c19213eb90959f950b03958e6abd9c22d83e6eb5f5a9020263ad8b0045dd5c5af60417c548fc130a57756ae1ef706710086cc277498b9ba6a0a6256b7
 WHIRLPOOL 
f7530e1dc6b99b4ad83d9a01c44b8e6256e118f7615a473d666b00549296df00ca3c86d7ab4d0ae717a3b329b3a9ecac587bc475ee51cbd7e436922860d00ab9
+DIST geos-3.6.1.tar.bz2 1833434 SHA256 
4a2e4e3a7a09a7cfda3211d0f4a235d9fd3176ddf64bd8db14b4ead266189fc5 SHA512 
8b28e7706567375ca02ae5f5dbebf0870e8fed8ea430596a3637e5c975e72bc0f3c16c31b052f154042dd029c54130325a8d44de95c3458f5da024a97d3cfaf9
 WHIRLPOOL 
bda0bb3b77c7c815e0be613f9af8f544fa4410029033851564bc83a912d5d7bfabaeb5d8d3dc61ebebfb482bdc64ea3cc09b395041b22cf419662beafdfec073

diff --git a/sci-libs/geos/geos-3.6.1.ebuild b/sci-libs/geos/geos-3.6.1.ebuild
new file mode 100644
index 00000000..feca237
--- /dev/null
+++ b/sci-libs/geos/geos-3.6.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="Geometry engine library for Geographic Information Systems"
+HOMEPAGE="http://trac.osgeo.org/geos/";
+SRC_URI="http://download.osgeo.org/geos/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x64-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris"
+IUSE="doc python ruby static-libs"
+
+RDEPEND="
+       python? ( ${PYTHON_DEPS} )
+       ruby? ( dev-lang/ruby:* )
+"
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen )
+       python? ( dev-lang/swig:0 )
+       ruby? ( dev-lang/swig:0 )
+"
+
+PATCHES=( "${FILESDIR}"/3.4.2-solaris-isnan.patch )
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       echo "#!${EPREFIX}/bin/bash" > py-compile
+}
+
+src_configure() {
+       econf \
+               $(use_enable python) \
+               $(use_enable ruby) \
+               $(use_enable static-libs static)
+}
+
+src_compile() {
+       default
+       use doc && emake -C "${S}/doc" doxygen-html
+}
+
+src_install() {
+       use doc && HTML_DOCS=( doc/doxygen_docs/html/. )
+       default
+       use python && python_optimize "${D}$(python_get_sitedir)"/geos/
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to